require 'thor'
require 'fileutils'

module Muzu
  class Hammer < Thor
    include Thor::Actions

    desc "serve", "start server"
    long_desc <<-HELLO_WORLD

    `serve` to start server
    HELLO_WORLD
    
    def serve
      Muzu::serve
    end

    desc "new PROJECT_NAME", "create new project"
    def new(name)
      FileUtils::mkdir_p name#Dir.pwd
      FileUtils.copy_entry File.expand_path(File.join(File.dirname(__FILE__), '..', '..', 'packed')), Dir.pwd+'/'+name
    end
  end
end